{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-4">
                            <div class="card">
                                <div class="card-body d-flex justify-content-center">
                                    <img class="card-img-top p-3" src="{% static 'dist/img/pagos.svg' %}"
                                        style="height: 290px; width: 300px;" alt="">
                                </div>
                            </div>
                        </div>

                        <div class="col-8">
                            <form method="post">
                                {% csrf_token %}

                                <!-- Input addon -->
                                <!-- card -->
                                <div class="card">

                                    {% if obj %}
                                    <div class="card-warning">
                                        {% else %}
                                        <div class="card-success">
                                            {% endif %}

                                            <div class="card-header">
                                                <h3 class="card-title text-uppercase">Pagos</h3>
                                            </div>

                                            <!-- card-body -->
                                            <div class="card-body">

                                                <!-- fila 1 -->
                                                <div class="row mt-2">
                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_cliente"
                                                                class="text-sm text-uppercase text-black"
                                                                style="font-family: Arial, Helvetica, sans-serif;">CLIENTE:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.cliente }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_concepto"
                                                                class="text-sm text-uppercase text-black"
                                                                style="font-family: Arial, Helvetica, sans-serif;">{{ form.concepto.label }}:
                                                                <i class="fa fa-asterisk badge-warning"></i>
                                                            </label>
                                                            {{ form.concepto }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_total"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">TOTAL: <i class="fa fa-money-bill"></i>
                                                            </label>
                                                            {{ form.total }}
                                                        </div>
                                                    </div>                                                    
                                                </div>

                                                <!-- fila 2 -->
                                                <div class="row mt-2">
                                                    <div class="col-1"></div>

                                                    <div class="col-5">
                                                        <div class="form-group">
                                                            <label for="id_notas"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">NOTAS:
                                                            </label>
                                                            {{ form.notas }}
                                                        </div>
                                                    </div>

                                                    <div class="col-5">
                                                        <div class="form-group">
                                                            <label for="id_contador"
                                                                class="text-sm text-uppercase text-black"
                                                                style="font-family: Arial, Helvetica, sans-serif;">
                                                                CONTADOR: <i class="fa fa-asterisk badge-warning"></i>
                                                            </label>
                                                            {{ form.contador }}
                                                        </div>
                                                    </div>

                                                    <div class="col-1"></div>

                                                </div>

                                                <div class="dropdown-divider"></div>
                                                <div class="row">
                                                    <div class="col-2"></div>
                                                    <div class="col-4">
                                                        <button type="submit" class="btn btn-success btn-block"><i
                                                            class="fa fa-save"></i><span>Guardar</span>
                                                        </button>
                                                    </div>

                                                    <div class="col-4">
                                                        <a href="{% url 'app_clientes:pagos_list' %}"
                                                            class="btn btn-info btn-block"><i class="fas fa-window-close"></i><span> Cancelar</span>
                                                        </a>
                                                    </div>
                                                    <div class="col-2"></div>
                                                </div>

                                            </div>
                                            <!-- /.card-body -->
                                        </div>
                                        <!-- /.card-header -->
                                    </div>
                                </div>
                            </div>
                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}

{% block js_page %}
<script>
    //Initialize Select2 Elements
    // carga del DOM
    $(function () {
        //Initialize Select2 Elements
        $('#id_cliente').select2()

        //Initialize Select2 Elements
        $('#id_cliente').select2({
            theme: 'bootstrap4'
        })   

        $('#id_contador').select2()

        $('#id_contador').select2({
            theme: 'bootstrap4'
        })  

    });
    </script>
{% endblock js_page %}